package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.platform.bean.LogOperate;

import java.util.List;

/**
 * @Description : 操作日志服务接口
 * @Reference :
 * @Author : yunhao
 * @Date : 2018-10-25 13:49
 * @Modify :
 **/
public interface ILogOperateService {

    /**
     * 添加操作日志
     * @param logOperate
     */
    void insertLogOperate(LogOperate logOperate);

    /**
     * 删除操作日志
     * @param id
     */
    void deleteLogOperateById(String id);

    /**
     * 修改操作日志
     * @param logOperate
     */
    void updateLogOperate(LogOperate logOperate);

    /**
     * 查找所有操作日志
     * @return
     */
    List<LogOperate> listLogOperate();

    /**
     * 根据id查找操作日志
      * @param id
     * @return
     */
    LogOperate getLogOperateById(String id);
}
