package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.platform.bean.SysFile;

import java.util.List;

/**
 * @Description : 文件资源服务服务接口
 * @Reference :
 * @Author : yunhao
 * @Date : 2018-10-25 16:20
 * @Modify :
 **/
public interface ISysFileService {

    /**
     * 添加文件资源信息
     * @param sysFile
     */
    void insertSysFile(SysFile sysFile);

    /**
     * 删除文件资源小新
     * @param id
     */
    void deleteSysFileById(String id);

    /**
     * 修改文件资源信息
     * @param sysFile
     */
    void updateSysFile(SysFile sysFile);

    /**
     * 查询全部文件资源信息
     * @return
     */
    List<SysFile> listSysFile();

    /**
     * 根据id查询文件资源信息
     * @param id
     * @return
     */
    SysFile getSysFileById(String id);
}
